#ifndef __CUDAGridPartition_h
#define __CUDAGridPartition_h

#include "VolTKCUDAIncludes.h"

class CUDAVolumeTexture;
struct cudaArray;
struct cudaPitchedPtr;
class VOLTK_CUDA_API CUDAGridPartition
{
public:
	int m_bsizeX,m_bsizeY,m_bsizeZ;
	int m_bnumX,m_bnumY,m_bnumZ;

	cudaArray *m_d_MinMaxArray; 

	CUDAGridPartition();
	~CUDAGridPartition();
	
	void Init(CUDAVolumeTexture *volume, int bsizeX, int bsizeY, int bsizeZ);
	void Init(CUDAVolumeTexture *volume, float blockLogRate);

private:
	void _calculateMinMax(cudaPitchedPtr d_MinMax,CUDAVolumeTexture *volume);
};


#endif
