#ifndef __CUDALut1D_h
#define __CUDALut1D_h

#include "VolTKCUDAIncludes.h"

struct cudaArray;
class Lut1D;

class VOLTK_CUDA_API CUDALut1D
{
public:
	int m_SampleNumber;
    float m_min,m_max;
	cudaArray* m_d_tfArray;

	CUDALut1D();
	~CUDALut1D();

	void CopyToTexture(const Lut1D* Lut);

};

#endif 

