#ifndef __CUDAVolumeTexture_h
#define __CUDAVolumeTexture_h

#include "VolTKCUDAIncludes.h"

class VolumeData;
struct cudaArray;
class VOLTK_CUDA_API CUDAVolumeTexture
{
public:
	cudaArray *m_d_volumeArray;    

	int m_Dims[3];
	float m_Spacings[3];
	float m_grey_scale;
	float m_grey_shift;

	CUDAVolumeTexture();
	virtual ~CUDAVolumeTexture();
	void CopyToTexture(VolumeData* vol);
};


#endif 