#ifndef __IsosurfaceVR_h
#define __IsosurfaceVR_h

#include "VolTKStandardIncludes.h"

class CoherentVolume;
class GridPartition;
class BasicLightParam;
class IsosurfaceRayCasterParam;
class VRSceneParam;
class VRImage;

class VOLTK_STANDARD_API IsosurfaceVR
{
public:
	CoherentVolume* m_Volume;
	GridPartition *m_GridPartition;
	BasicLightParam *m_BasicLightParam;
	IsosurfaceRayCasterParam *m_RayCasterParam;
	VRSceneParam *m_VRSceneParam;
	VRImage *m_VRImage;

	IsosurfaceVR();
	~IsosurfaceVR();

	void RenderWithoutGridPartition();
	void RenderWithGridPartition();
};

#endif
