#ifndef __VRSceneParam_h
#define __VRSceneParam_h

#include "VolTKStandardIncludes.h"
#include "Matrix4x4.h"

class VOLTK_STANDARD_API VRSceneParam
{
public:
	Matrix4x4 m_PixelsToModelMatrix;
	Matrix4x4 m_ModelToVolumeMatrix;

	float m_CroppingBounds[6];	

	VRSceneParam();
	~VRSceneParam();

	void CalculateVRSceneParamAndImageRegion(const int viewportSize[2], const int volDims[3],
	const float volSpacings[3], const Matrix4x4& ViewMatrix, const Matrix4x4& ProjectionMatrix,
	int imageOrigin[2], int imageSize[2]);

};

#endif
