#ifndef __CUDAPreintegratedLut_h
#define __CUDAPreintegratedLut_h

#include "VolTKCUDAIncludes.h"

struct cudaArray;
class Lut1D;

class VOLTK_CUDA_API CUDAPreintegratedLut
{
public:
	int m_SampleNumber;
    float m_min,m_max;

	cudaArray *m_d_TFArray1;
	cudaArray *m_d_TFArray2;

	CUDAPreintegratedLut();
	~CUDAPreintegratedLut();

	void GenerateTextures(const Lut1D* Lut, float SampleDistance, float StdSampleDistance);

};

#endif 

