#ifndef __GridPartition_h
#define __GridPartition_h

#include "VolTKStandardIncludes.h"

class CoherentVolume;
class VOLTK_STANDARD_API GridPartition 
{
public:
	GridPartition();
	~GridPartition();

	int m_bsizeX,m_bsizeY,m_bsizeZ;
	int m_bnumX,m_bnumY,m_bnumZ;

	float *m_MinMaxArray; 

	void Init(CoherentVolume *volume, int bsizeX, int bsizeY, int bsizeZ);
	void Init(CoherentVolume *volume, float blockLogRate);

};


#endif
