#ifndef __VolTKStandardIncludes_h
#define __VolTKStandardIncludes_h

#if defined(WIN32) || defined(_WIN32) || defined(__WIN32__) || defined(__NT__)
	#define VolTK_OS_WIN32
#elif defined(__linux__) || defined(__linux)
	#define VolTK_OS_LINUX
#endif

#if defined(VolTK_OS_WIN32) 
#define _WIN32_WINNT 0x0501 
#include <windows.h>
	#if defined(VOLTK_STANDARD_DLL)  
		#define VOLTK_STANDARD_API __declspec(dllexport)
	#else
		#define VOLTK_STANDARD_API __declspec(dllimport)
	#endif
#else   //Other system
#undef VOLTK_STANDARD_DLL
#endif

#ifndef VOLTK_STANDARD_API
	#define VOLTK_STANDARD_API
#endif

#define VOLTK_STANDARD_C_API extern "C" VOLTK_STANDARD_API

#endif 